package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;

import com.chelvc.cloud.uc.api.model.Gender;
import com.chelvc.framework.common.annotation.EnumerateWrapping;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 用户信息
 *
 * @author Woody
 * @date 2023/8/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserVO implements Serializable {
    /**
     * 用户ID
     */
    private Long id;

    /**
     * 性别
     */
    @EnumerateWrapping
    private Gender gender;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 用户昵称
     */
    private String nickname;
}
